<div class="box-body">

<div class="padd-lr10">
<div class="box boxStyle2 infoBox margin-b15">
<div class="padd10t">

<table id="tableN" class="col-md-12">
<tr class='tabTop'>
<td colspan="2">

<?PHP include("./../function/forward-s-i.inc.php");
$checkdokumentroot=$_SERVER['DOCUMENT_ROOT'];
$wspfad=$checkdokumentroot;

define("DATA_FILE", "./../configure/configadmin-a.inc.php");
extract($_POST);

$_POST['langX1']=$tlanguage;
$_POST['wspfad']=$wspfad;

$tlanguage=($_POST['langX1']);
$wspfad=($_POST['wspfad']);

if (isset($_POST['save'])) {
if (strlen(@$_POST[wspfad])<=0){@$_POST[wspfad]="";}
$Message=SaveData();}

//function SaveData(){
$tag='';
$patterns=array();
$replacements=array();
$content=file(DATA_FILE);
$t=chr(34);

$patterns[0]='/wspfad=(.+?);/';

@$replacements[0]=sprintf("wspfad=%s%s%s;",$t,$_POST[wspfad],$t);

if ($fp=fopen(DATA_FILE,"w")){
$tag="<?PHP \n";
include("./../languages/$_POST[langX1]/general.inc.php");
@print_r("<span class=''>".$resultTrue."</span>");
fputs($fp,$tag,strlen($tag));
for ($i=1;$i < count($content);$i++){
$check=$content[$i];
$check=(preg_replace($patterns,$replacements,$check));
$check=preg_replace("/\r|\r/s", "\r", $check);
if (strlen($check)> 0) $content[$i]=$check;
$line=sprintf('%s',$content[$i]);
fputs($fp,$line,strlen($line));
}
fclose($fp);
}else{
include("./../languages/$_POST[langX1]/general.inc.php");
@die ("<span class='resF'>".$resultFalse."</span>");
return ($tag);
}
//}

$repairdateX=time();
$repairfileX=1;
$repairData="<?PHP 
\$repairdateX='$repairdateX';
\$repairfileX='$repairfileX';
?>";
$saveRepair="./../tmp/repairinfo.inc.php";
$handle=fopen($saveRepair, "w");
fwrite($handle,$repairData);
fclose($handle);
$oldumask = umask(0);
chmod($saveRepair, 0644);
umask($oldumask);

$fileinfo=$sysinfodata702;

echo "<br><br>".$fileinfo;
include("./../function/autoX.inc.php");
echo "
<br>
<br>
<a href='$ilink'>
<div class='vlinkS'>
<i class='hvL fa fa-arrow-circle-right padd-right5'></i>
<span class='hvS'>".$back1."</span>
</div>
</a>
";
?>
</td>
</tr>

</table>
<div class="clearX box-footer"></div>
</div>
</div>
</div>

</div>
